declare type IdType = number | string | boolean;
export interface MapItem {
    id: IdType;
    name: any;
    [key: string]: any;
}
interface OptionItem {
    value: any;
    label: any;
}
interface ToOptionOptions {
    include?: IdType[];
    exclude?: IdType[];
}
export interface MapArray<T> extends Array<T> {
    toOption: (options?: ToOptionOptions) => Array<OptionItem>;
    findById: (id?: IdType) => MapItem;
    findByName: (name?: any) => MapItem;
    getName: (id?: IdType) => string | undefined;
    getId: (name?: any) => IdType | undefined;
}
declare const CreateEnumMap: (data: MapItem[]) => MapArray<MapItem>;
export default CreateEnumMap;
