import type { Ref } from 'vue';
import type { ColorGenInput, HsbaColorType, TransformOffset } from './interface';
import { Color } from './color';
export declare const ColorPickerPrefixCls = "rc-color-picker";
export declare const generateColor: (color: ColorGenInput) => Color;
export declare const defaultColor: Color;
export declare const calculateColor: (props: {
    offset: TransformOffset;
    containerRef: Ref<HTMLDivElement>;
    targetRef: Ref<{
        transformDomRef: HTMLDivElement;
    }>;
    color?: Color;
    type?: HsbaColorType;
}) => Color;
export declare const calculateOffset: (containerRef: Ref<HTMLDivElement>, targetRef: Ref<{
    transformDomRef: HTMLDivElement;
}>, color?: Ref<Color>, type?: HsbaColorType) => TransformOffset;
