import type { PropType } from 'vue';
declare type RawValue = string | number;
declare type SelectValue = RawValue | RawValue[] | undefined;
declare type ListItem = {
    label: string;
    value: string | number;
};
declare type TreeItem = {
    label: string;
    value: string | number;
    children?: TreeItem[];
};
declare type Config = {
    datas?: ListItem[] | TreeItem[];
    frameType: string;
    name?: string;
};
export declare const selectProProps: () => {
    value: PropType<SelectValue>;
    defaultValue: PropType<SelectValue>;
    code: StringConstructor;
    hisUuid: StringConstructor;
    domain: StringConstructor;
    getOptions: PropType<() => Promise<Config | undefined>>;
    surname: BooleanConstructor;
    onFocus: {
        type: PropType<(e: FocusEvent) => void>;
    };
    onBlur: {
        type: PropType<(e: FocusEvent) => void>;
    };
    onChange: PropType<(value: import("../select").SelectValue, option: import("../select").DefaultOptionType | import("../select").DefaultOptionType[]) => void>;
    onKeydown: PropType<(e: KeyboardEvent) => void>;
    onKeyup: PropType<(e: KeyboardEvent) => void>;
    onClick: PropType<(e: MouseEvent) => void>;
    onMousedown: PropType<(e: MouseEvent) => void>;
    onMouseenter: PropType<(e: MouseEvent) => void>;
    onMouseleave: PropType<(e: MouseEvent) => void>;
    onSelect: PropType<import("../vc-select/Select").SelectHandler<(string | number) | import("../select").LabeledValue, import("../select").DefaultOptionType>>;
    prefixCls: StringConstructor;
    disabled: {
        type: BooleanConstructor;
        default: any;
    };
    tabindex: NumberConstructor;
    size: PropType<import("../config-provider").SizeType>;
    open: {
        type: BooleanConstructor;
        default: any;
    };
    id: StringConstructor;
    autofocus: BooleanConstructor;
    direction: {
        type: PropType<"ltr" | "rtl">;
    };
    animation: StringConstructor;
    mode: PropType<"multiple" | "tags" | "SECRET_COMBOBOX_MODE_DO_NOT_USE">;
    getPopupContainer: {
        type: PropType<import("../vc-select/BaseSelect").RenderDOMFunc>;
    };
    virtual: {
        type: BooleanConstructor;
        default: any;
    };
    dropdownMatchSelectWidth: {
        type: PropType<number | boolean>;
        default: any;
    };
    children: PropType<import("../_util/type").VueNode[]>;
    'onUpdate:value': PropType<(val: import("../select").SelectValue) => void>;
    transitionName: StringConstructor;
    showAction: {
        type: PropType<("focus" | "click")[]>;
    };
    placement: {
        type: PropType<import("../vc-select/BaseSelect").Placement>;
    };
    placeholder: import("vue-types").VueTypeValidableDef<any>;
    onDeselect: PropType<import("../vc-select/Select").SelectHandler<(string | number) | import("../select").LabeledValue, import("../select").DefaultOptionType>>;
    loading: {
        type: BooleanConstructor;
        default: any;
    };
    allowClear: {
        type: BooleanConstructor;
        default: any;
    };
    bordered: {
        type: BooleanConstructor;
        default: boolean;
    };
    onSearch: PropType<(value: string) => void>;
    notFoundContent: import("vue-types").VueTypeValidableDef<any>;
    fieldNames: PropType<import("../vc-select/Select").FieldNames>;
    dropdownStyle: {
        type: PropType<import("vue").CSSProperties>;
    };
    dropdownClassName: StringConstructor;
    dropdownRender: {
        type: PropType<import("../vc-select/BaseSelect").DropdownRender>;
    };
    dropdownAlign: PropType<import("../vc-trigger/interface").AlignType>;
    showSearch: {
        type: BooleanConstructor;
        default: any;
    };
    searchValue: StringConstructor;
    onInputKeyDown: PropType<(e: KeyboardEvent) => void>;
    removeIcon: import("vue-types").VueTypeValidableDef<any>;
    maxTagCount: {
        type: PropType<number | "responsive">;
    };
    maxTagTextLength: NumberConstructor;
    maxTagPlaceholder: import("vue-types").VueTypeValidableDef<any>;
    tokenSeparators: {
        type: PropType<string[]>;
    };
    tagRender: {
        type: PropType<(props: import("../vc-select/BaseSelect").CustomTagProps) => any>;
    };
    choiceTransitionName: {
        type: StringConstructor;
        default: string;
    };
    optionLabelRender: {
        type: PropType<(option: Record<string, any>) => any>;
    };
    onClear: PropType<() => void>;
    defaultOpen: {
        type: BooleanConstructor;
        default: any;
    };
    onDropdownVisibleChange: {
        type: PropType<(open: boolean) => void>;
    };
    showArrow: {
        type: BooleanConstructor;
        default: any;
    };
    clearIcon: import("vue-types").VueTypeValidableDef<any>;
    searchDropdownAutoClose: {
        type: BooleanConstructor;
        default: boolean;
    };
    onPopupScroll: PropType<(e: UIEvent) => void>;
    menuItemSelectedIcon: import("vue-types").VueTypeValidableDef<any>;
    listHeight: NumberConstructor;
    listItemHeight: NumberConstructor;
    inputValue: StringConstructor;
    autoClearSearchValue: {
        type: BooleanConstructor;
        default: any;
    };
    filterOption: {
        type: PropType<boolean | import("../vc-select/Select").FilterFunc<import("../select").DefaultOptionType>>;
        default: any;
    };
    filterSort: PropType<(optionA: import("../select").DefaultOptionType, optionB: import("../select").DefaultOptionType) => number>;
    optionFilterProp: StringConstructor;
    optionLabelProp: StringConstructor;
    defaultActiveFirstOption: {
        type: BooleanConstructor;
        default: any;
    };
    labelInValue: {
        type: BooleanConstructor;
        default: any;
    };
    suffixIcon: import("vue-types").VueTypeValidableDef<any>;
    itemIcon: import("vue-types").VueTypeValidableDef<any>;
    multiple: {
        type: BooleanConstructor;
        default: any;
    };
    switcherIcon: import("vue-types").VueTypeValidableDef<any>;
    loadData: {
        type: PropType<(dataNode: import("../vc-tree-select/TreeSelect").LegacyDataNode) => Promise<unknown>>;
    };
    filterTreeNode: {
        type: PropType<boolean | ((inputValue: string, treeNode: import("../vc-tree-select/TreeSelect").DefaultOptionType) => boolean)>;
        default: any;
    };
    replaceFields: {
        type: PropType<import("../vc-tree-select/interface").FieldNames>;
    };
    treeCheckable: {
        type: BooleanConstructor;
        default: any;
    };
    getRawInputElement: {
        type: PropType<() => any>;
    };
    showCheckedStrategy: {
        type: PropType<import("../vc-tree-select/utils/strategyUtil").CheckedStrategy>;
    };
    treeDefaultExpandAll: {
        type: BooleanConstructor;
        default: any;
    };
    treeIcon: import("vue-types").VueTypeValidableDef<any>;
    treeLine: {
        type: PropType<boolean | {
            showLeafIcon: boolean;
        }>;
        default: any;
    };
    treeLoadedKeys: {
        type: PropType<import("../vc-tree-select/interface").Key[]>;
    };
    onTreeLoad: {
        type: PropType<(loadedKeys: import("../vc-tree-select/interface").Key[]) => void>;
    };
    treeNodeFilterProp: StringConstructor;
    treeNodeLabelProp: StringConstructor;
    treeCheckStrictly: {
        type: BooleanConstructor;
        default: any;
    };
    treeDataSimpleMode: {
        type: PropType<boolean | import("../vc-tree-select/TreeSelect").SimpleModeConfig>;
        default: any;
    };
    treeExpandedKeys: {
        type: PropType<import("../vc-tree-select/interface").Key[]>;
    };
    treeDefaultExpandedKeys: {
        type: PropType<import("../vc-tree-select/interface").Key[]>;
    };
    onTreeExpand: {
        type: PropType<(expandedKeys: import("../vc-tree-select/interface").Key[]) => void>;
    };
    dropdownPopupAlign: import("vue-types").VueTypeValidableDef<any>;
    'onUpdate:treeExpandedKeys': {
        type: PropType<(keys: import("../vc-tree-select/interface").Key[]) => void>;
    };
    'onUpdate:searchValue': {
        type: PropType<(value: string) => void>;
    };
};
declare const _default: {
    new (...args: any[]): {
        $: import("vue").ComponentInternalInstance;
        $data: {};
        $props: Partial<{
            disabled: boolean;
            open: boolean;
            multiple: boolean;
            autofocus: boolean;
            virtual: boolean;
            dropdownMatchSelectWidth: number | boolean;
            loading: boolean;
            allowClear: boolean;
            bordered: boolean;
            filterTreeNode: boolean | ((inputValue: string, treeNode: import("../vc-tree-select/TreeSelect").DefaultOptionType) => boolean);
            treeCheckable: boolean;
            showSearch: boolean;
            choiceTransitionName: string;
            defaultOpen: boolean;
            showArrow: boolean;
            searchDropdownAutoClose: boolean;
            autoClearSearchValue: boolean;
            filterOption: boolean | import("../vc-select/Select").FilterFunc<import("../select").DefaultOptionType>;
            defaultActiveFirstOption: boolean;
            labelInValue: boolean;
            treeDefaultExpandAll: boolean;
            treeLine: boolean | {
                showLeafIcon: boolean;
            };
            treeCheckStrictly: boolean;
            treeDataSimpleMode: any;
            surname: boolean;
        }> & Omit<Readonly<import("vue").ExtractPropTypes<{
            value: PropType<SelectValue>;
            defaultValue: PropType<SelectValue>;
            code: StringConstructor;
            hisUuid: StringConstructor;
            domain: StringConstructor;
            getOptions: PropType<() => Promise<Config>>;
            surname: BooleanConstructor;
            onFocus: {
                type: PropType<(e: FocusEvent) => void>;
            };
            onBlur: {
                type: PropType<(e: FocusEvent) => void>;
            };
            onChange: PropType<(value: import("../select").SelectValue, option: import("../select").DefaultOptionType | import("../select").DefaultOptionType[]) => void>;
            onKeydown: PropType<(e: KeyboardEvent) => void>;
            onKeyup: PropType<(e: KeyboardEvent) => void>;
            onClick: PropType<(e: MouseEvent) => void>;
            onMousedown: PropType<(e: MouseEvent) => void>;
            onMouseenter: PropType<(e: MouseEvent) => void>;
            onMouseleave: PropType<(e: MouseEvent) => void>;
            onSelect: PropType<import("../vc-select/Select").SelectHandler<(string | number) | import("../select").LabeledValue, import("../select").DefaultOptionType>>;
            prefixCls: StringConstructor;
            disabled: {
                type: BooleanConstructor;
                default: any;
            };
            tabindex: NumberConstructor;
            size: PropType<import("../config-provider").SizeType>;
            open: {
                type: BooleanConstructor;
                default: any;
            };
            id: StringConstructor;
            autofocus: BooleanConstructor;
            direction: {
                type: PropType<"ltr" | "rtl">;
            };
            animation: StringConstructor;
            mode: PropType<"multiple" | "tags" | "SECRET_COMBOBOX_MODE_DO_NOT_USE">;
            getPopupContainer: {
                type: PropType<import("../vc-select/BaseSelect").RenderDOMFunc>;
            };
            virtual: {
                type: BooleanConstructor;
                default: any;
            };
            dropdownMatchSelectWidth: {
                type: PropType<number | boolean>;
                default: any;
            };
            children: PropType<import("../_util/type").VueNode[]>;
            'onUpdate:value': PropType<(val: import("../select").SelectValue) => void>;
            transitionName: StringConstructor;
            showAction: {
                type: PropType<("focus" | "click")[]>;
            };
            placement: {
                type: PropType<import("../vc-select/BaseSelect").Placement>;
            };
            placeholder: import("vue-types").VueTypeValidableDef<any>;
            onDeselect: PropType<import("../vc-select/Select").SelectHandler<(string | number) | import("../select").LabeledValue, import("../select").DefaultOptionType>>;
            loading: {
                type: BooleanConstructor;
                default: any;
            };
            allowClear: {
                type: BooleanConstructor;
                default: any;
            };
            bordered: {
                type: BooleanConstructor;
                default: boolean;
            };
            onSearch: PropType<(value: string) => void>;
            notFoundContent: import("vue-types").VueTypeValidableDef<any>;
            fieldNames: PropType<import("../vc-select/Select").FieldNames>;
            dropdownStyle: {
                type: PropType<import("vue").CSSProperties>;
            };
            dropdownClassName: StringConstructor;
            dropdownRender: {
                type: PropType<import("../vc-select/BaseSelect").DropdownRender>;
            };
            dropdownAlign: PropType<import("../vc-trigger/interface").AlignType>;
            showSearch: {
                type: BooleanConstructor;
                default: any;
            };
            searchValue: StringConstructor;
            onInputKeyDown: PropType<(e: KeyboardEvent) => void>;
            removeIcon: import("vue-types").VueTypeValidableDef<any>;
            maxTagCount: {
                type: PropType<number | "responsive">;
            };
            maxTagTextLength: NumberConstructor;
            maxTagPlaceholder: import("vue-types").VueTypeValidableDef<any>;
            tokenSeparators: {
                type: PropType<string[]>;
            };
            tagRender: {
                type: PropType<(props: import("../vc-select/BaseSelect").CustomTagProps) => any>;
            };
            choiceTransitionName: {
                type: StringConstructor;
                default: string;
            };
            optionLabelRender: {
                type: PropType<(option: Record<string, any>) => any>;
            };
            onClear: PropType<() => void>;
            defaultOpen: {
                type: BooleanConstructor;
                default: any;
            };
            onDropdownVisibleChange: {
                type: PropType<(open: boolean) => void>;
            };
            showArrow: {
                type: BooleanConstructor;
                default: any;
            };
            clearIcon: import("vue-types").VueTypeValidableDef<any>;
            searchDropdownAutoClose: {
                type: BooleanConstructor;
                default: boolean;
            };
            onPopupScroll: PropType<(e: UIEvent) => void>;
            menuItemSelectedIcon: import("vue-types").VueTypeValidableDef<any>;
            listHeight: NumberConstructor;
            listItemHeight: NumberConstructor;
            inputValue: StringConstructor;
            autoClearSearchValue: {
                type: BooleanConstructor;
                default: any;
            };
            filterOption: {
                type: PropType<boolean | import("../vc-select/Select").FilterFunc<import("../select").DefaultOptionType>>;
                default: any;
            };
            filterSort: PropType<(optionA: import("../select").DefaultOptionType, optionB: import("../select").DefaultOptionType) => number>;
            optionFilterProp: StringConstructor;
            optionLabelProp: StringConstructor;
            defaultActiveFirstOption: {
                type: BooleanConstructor;
                default: any;
            };
            labelInValue: {
                type: BooleanConstructor;
                default: any;
            };
            suffixIcon: import("vue-types").VueTypeValidableDef<any>;
            itemIcon: import("vue-types").VueTypeValidableDef<any>;
            multiple: {
                type: BooleanConstructor;
                default: any;
            };
            switcherIcon: import("vue-types").VueTypeValidableDef<any>;
            loadData: {
                type: PropType<(dataNode: import("../vc-tree-select/TreeSelect").LegacyDataNode) => Promise<unknown>>;
            };
            filterTreeNode: {
                type: PropType<boolean | ((inputValue: string, treeNode: import("../vc-tree-select/TreeSelect").DefaultOptionType) => boolean)>;
                default: any;
            };
            replaceFields: {
                type: PropType<import("../vc-tree-select/interface").FieldNames>;
            };
            treeCheckable: {
                type: BooleanConstructor;
                default: any;
            };
            getRawInputElement: {
                type: PropType<() => any>;
            };
            showCheckedStrategy: {
                type: PropType<import("../vc-tree-select/utils/strategyUtil").CheckedStrategy>;
            };
            treeDefaultExpandAll: {
                type: BooleanConstructor;
                default: any;
            };
            treeIcon: import("vue-types").VueTypeValidableDef<any>;
            treeLine: {
                type: PropType<boolean | {
                    showLeafIcon: boolean;
                }>;
                default: any;
            };
            treeLoadedKeys: {
                type: PropType<import("../vc-tree-select/interface").Key[]>;
            };
            onTreeLoad: {
                type: PropType<(loadedKeys: import("../vc-tree-select/interface").Key[]) => void>;
            };
            treeNodeFilterProp: StringConstructor;
            treeNodeLabelProp: StringConstructor;
            treeCheckStrictly: {
                type: BooleanConstructor;
                default: any;
            };
            treeDataSimpleMode: {
                type: PropType<boolean | import("../vc-tree-select/TreeSelect").SimpleModeConfig>;
                default: any;
            };
            treeExpandedKeys: {
                type: PropType<import("../vc-tree-select/interface").Key[]>;
            };
            treeDefaultExpandedKeys: {
                type: PropType<import("../vc-tree-select/interface").Key[]>;
            };
            onTreeExpand: {
                type: PropType<(expandedKeys: import("../vc-tree-select/interface").Key[]) => void>;
            };
            dropdownPopupAlign: import("vue-types").VueTypeValidableDef<any>;
            'onUpdate:treeExpandedKeys': {
                type: PropType<(keys: import("../vc-tree-select/interface").Key[]) => void>;
            };
            'onUpdate:searchValue': {
                type: PropType<(value: string) => void>;
            };
        }>> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "disabled" | "open" | "multiple" | "autofocus" | "virtual" | "dropdownMatchSelectWidth" | "loading" | "allowClear" | "bordered" | "filterTreeNode" | "treeCheckable" | "showSearch" | "choiceTransitionName" | "defaultOpen" | "showArrow" | "searchDropdownAutoClose" | "autoClearSearchValue" | "filterOption" | "defaultActiveFirstOption" | "labelInValue" | "treeDefaultExpandAll" | "treeLine" | "treeCheckStrictly" | "treeDataSimpleMode" | "surname">;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: import("vue").Slot;
        }>;
        $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}>;
        $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}>;
        $emit: (event: string, ...args: any[]) => void;
        $el: any;
        $options: import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
            value: PropType<SelectValue>;
            defaultValue: PropType<SelectValue>;
            code: StringConstructor;
            hisUuid: StringConstructor;
            domain: StringConstructor;
            getOptions: PropType<() => Promise<Config>>;
            surname: BooleanConstructor;
            onFocus: {
                type: PropType<(e: FocusEvent) => void>;
            };
            onBlur: {
                type: PropType<(e: FocusEvent) => void>;
            };
            onChange: PropType<(value: import("../select").SelectValue, option: import("../select").DefaultOptionType | import("../select").DefaultOptionType[]) => void>;
            onKeydown: PropType<(e: KeyboardEvent) => void>;
            onKeyup: PropType<(e: KeyboardEvent) => void>;
            onClick: PropType<(e: MouseEvent) => void>;
            onMousedown: PropType<(e: MouseEvent) => void>;
            onMouseenter: PropType<(e: MouseEvent) => void>;
            onMouseleave: PropType<(e: MouseEvent) => void>;
            onSelect: PropType<import("../vc-select/Select").SelectHandler<(string | number) | import("../select").LabeledValue, import("../select").DefaultOptionType>>;
            prefixCls: StringConstructor;
            disabled: {
                type: BooleanConstructor;
                default: any;
            };
            tabindex: NumberConstructor;
            size: PropType<import("../config-provider").SizeType>;
            open: {
                type: BooleanConstructor;
                default: any;
            };
            id: StringConstructor;
            autofocus: BooleanConstructor;
            direction: {
                type: PropType<"ltr" | "rtl">;
            };
            animation: StringConstructor;
            mode: PropType<"multiple" | "tags" | "SECRET_COMBOBOX_MODE_DO_NOT_USE">;
            getPopupContainer: {
                type: PropType<import("../vc-select/BaseSelect").RenderDOMFunc>;
            };
            virtual: {
                type: BooleanConstructor;
                default: any;
            };
            dropdownMatchSelectWidth: {
                type: PropType<number | boolean>;
                default: any;
            };
            children: PropType<import("../_util/type").VueNode[]>;
            'onUpdate:value': PropType<(val: import("../select").SelectValue) => void>;
            transitionName: StringConstructor;
            showAction: {
                type: PropType<("focus" | "click")[]>;
            };
            placement: {
                type: PropType<import("../vc-select/BaseSelect").Placement>;
            };
            placeholder: import("vue-types").VueTypeValidableDef<any>;
            onDeselect: PropType<import("../vc-select/Select").SelectHandler<(string | number) | import("../select").LabeledValue, import("../select").DefaultOptionType>>;
            loading: {
                type: BooleanConstructor;
                default: any;
            };
            allowClear: {
                type: BooleanConstructor;
                default: any;
            };
            bordered: {
                type: BooleanConstructor;
                default: boolean;
            };
            onSearch: PropType<(value: string) => void>;
            notFoundContent: import("vue-types").VueTypeValidableDef<any>;
            fieldNames: PropType<import("../vc-select/Select").FieldNames>;
            dropdownStyle: {
                type: PropType<import("vue").CSSProperties>;
            };
            dropdownClassName: StringConstructor;
            dropdownRender: {
                type: PropType<import("../vc-select/BaseSelect").DropdownRender>;
            };
            dropdownAlign: PropType<import("../vc-trigger/interface").AlignType>;
            showSearch: {
                type: BooleanConstructor;
                default: any;
            };
            searchValue: StringConstructor;
            onInputKeyDown: PropType<(e: KeyboardEvent) => void>;
            removeIcon: import("vue-types").VueTypeValidableDef<any>;
            maxTagCount: {
                type: PropType<number | "responsive">;
            };
            maxTagTextLength: NumberConstructor;
            maxTagPlaceholder: import("vue-types").VueTypeValidableDef<any>;
            tokenSeparators: {
                type: PropType<string[]>;
            };
            tagRender: {
                type: PropType<(props: import("../vc-select/BaseSelect").CustomTagProps) => any>;
            };
            choiceTransitionName: {
                type: StringConstructor;
                default: string;
            };
            optionLabelRender: {
                type: PropType<(option: Record<string, any>) => any>;
            };
            onClear: PropType<() => void>;
            defaultOpen: {
                type: BooleanConstructor;
                default: any;
            };
            onDropdownVisibleChange: {
                type: PropType<(open: boolean) => void>;
            };
            showArrow: {
                type: BooleanConstructor;
                default: any;
            };
            clearIcon: import("vue-types").VueTypeValidableDef<any>;
            searchDropdownAutoClose: {
                type: BooleanConstructor;
                default: boolean;
            };
            onPopupScroll: PropType<(e: UIEvent) => void>;
            menuItemSelectedIcon: import("vue-types").VueTypeValidableDef<any>;
            listHeight: NumberConstructor;
            listItemHeight: NumberConstructor;
            inputValue: StringConstructor;
            autoClearSearchValue: {
                type: BooleanConstructor;
                default: any;
            };
            filterOption: {
                type: PropType<boolean | import("../vc-select/Select").FilterFunc<import("../select").DefaultOptionType>>;
                default: any;
            };
            filterSort: PropType<(optionA: import("../select").DefaultOptionType, optionB: import("../select").DefaultOptionType) => number>;
            optionFilterProp: StringConstructor;
            optionLabelProp: StringConstructor;
            defaultActiveFirstOption: {
                type: BooleanConstructor;
                default: any;
            };
            labelInValue: {
                type: BooleanConstructor;
                default: any;
            };
            suffixIcon: import("vue-types").VueTypeValidableDef<any>;
            itemIcon: import("vue-types").VueTypeValidableDef<any>;
            multiple: {
                type: BooleanConstructor;
                default: any;
            };
            switcherIcon: import("vue-types").VueTypeValidableDef<any>;
            loadData: {
                type: PropType<(dataNode: import("../vc-tree-select/TreeSelect").LegacyDataNode) => Promise<unknown>>;
            };
            filterTreeNode: {
                type: PropType<boolean | ((inputValue: string, treeNode: import("../vc-tree-select/TreeSelect").DefaultOptionType) => boolean)>;
                default: any;
            };
            replaceFields: {
                type: PropType<import("../vc-tree-select/interface").FieldNames>;
            };
            treeCheckable: {
                type: BooleanConstructor;
                default: any;
            };
            getRawInputElement: {
                type: PropType<() => any>;
            };
            showCheckedStrategy: {
                type: PropType<import("../vc-tree-select/utils/strategyUtil").CheckedStrategy>;
            };
            treeDefaultExpandAll: {
                type: BooleanConstructor;
                default: any;
            };
            treeIcon: import("vue-types").VueTypeValidableDef<any>;
            treeLine: {
                type: PropType<boolean | {
                    showLeafIcon: boolean;
                }>;
                default: any;
            };
            treeLoadedKeys: {
                type: PropType<import("../vc-tree-select/interface").Key[]>;
            };
            onTreeLoad: {
                type: PropType<(loadedKeys: import("../vc-tree-select/interface").Key[]) => void>;
            };
            treeNodeFilterProp: StringConstructor;
            treeNodeLabelProp: StringConstructor;
            treeCheckStrictly: {
                type: BooleanConstructor;
                default: any;
            };
            treeDataSimpleMode: {
                type: PropType<boolean | import("../vc-tree-select/TreeSelect").SimpleModeConfig>;
                default: any;
            };
            treeExpandedKeys: {
                type: PropType<import("../vc-tree-select/interface").Key[]>;
            };
            treeDefaultExpandedKeys: {
                type: PropType<import("../vc-tree-select/interface").Key[]>;
            };
            onTreeExpand: {
                type: PropType<(expandedKeys: import("../vc-tree-select/interface").Key[]) => void>;
            };
            dropdownPopupAlign: import("vue-types").VueTypeValidableDef<any>;
            'onUpdate:treeExpandedKeys': {
                type: PropType<(keys: import("../vc-tree-select/interface").Key[]) => void>;
            };
            'onUpdate:searchValue': {
                type: PropType<(value: string) => void>;
            };
        }>>, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, {
            disabled: boolean;
            open: boolean;
            multiple: boolean;
            autofocus: boolean;
            virtual: boolean;
            dropdownMatchSelectWidth: number | boolean;
            loading: boolean;
            allowClear: boolean;
            bordered: boolean;
            filterTreeNode: boolean | ((inputValue: string, treeNode: import("../vc-tree-select/TreeSelect").DefaultOptionType) => boolean);
            treeCheckable: boolean;
            showSearch: boolean;
            choiceTransitionName: string;
            defaultOpen: boolean;
            showArrow: boolean;
            searchDropdownAutoClose: boolean;
            autoClearSearchValue: boolean;
            filterOption: boolean | import("../vc-select/Select").FilterFunc<import("../select").DefaultOptionType>;
            defaultActiveFirstOption: boolean;
            labelInValue: boolean;
            treeDefaultExpandAll: boolean;
            treeLine: boolean | {
                showLeafIcon: boolean;
            };
            treeCheckStrictly: boolean;
            treeDataSimpleMode: any;
            surname: boolean;
        }, {}, string> & {
            beforeCreate?: (() => void) | (() => void)[];
            created?: (() => void) | (() => void)[];
            beforeMount?: (() => void) | (() => void)[];
            mounted?: (() => void) | (() => void)[];
            beforeUpdate?: (() => void) | (() => void)[];
            updated?: (() => void) | (() => void)[];
            activated?: (() => void) | (() => void)[];
            deactivated?: (() => void) | (() => void)[];
            beforeDestroy?: (() => void) | (() => void)[];
            beforeUnmount?: (() => void) | (() => void)[];
            destroyed?: (() => void) | (() => void)[];
            unmounted?: (() => void) | (() => void)[];
            renderTracked?: ((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[];
            renderTriggered?: ((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[];
            errorCaptured?: ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}>, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}>, info: string) => boolean | void)[];
        };
        $forceUpdate: () => void;
        $nextTick: typeof import("vue").nextTick;
        $watch<T extends string | ((...args: any) => any)>(source: T, cb: T extends (...args: any) => infer R ? (args_0: R, args_1: R) => any : (...args: any) => any, options?: import("vue").WatchOptions<boolean>): import("vue").WatchStopHandle;
    } & Readonly<import("vue").ExtractPropTypes<{
        value: PropType<SelectValue>;
        defaultValue: PropType<SelectValue>;
        code: StringConstructor;
        hisUuid: StringConstructor;
        domain: StringConstructor;
        getOptions: PropType<() => Promise<Config>>;
        surname: BooleanConstructor;
        onFocus: {
            type: PropType<(e: FocusEvent) => void>;
        };
        onBlur: {
            type: PropType<(e: FocusEvent) => void>;
        };
        onChange: PropType<(value: import("../select").SelectValue, option: import("../select").DefaultOptionType | import("../select").DefaultOptionType[]) => void>;
        onKeydown: PropType<(e: KeyboardEvent) => void>;
        onKeyup: PropType<(e: KeyboardEvent) => void>;
        onClick: PropType<(e: MouseEvent) => void>;
        onMousedown: PropType<(e: MouseEvent) => void>;
        onMouseenter: PropType<(e: MouseEvent) => void>;
        onMouseleave: PropType<(e: MouseEvent) => void>;
        onSelect: PropType<import("../vc-select/Select").SelectHandler<(string | number) | import("../select").LabeledValue, import("../select").DefaultOptionType>>;
        prefixCls: StringConstructor;
        disabled: {
            type: BooleanConstructor;
            default: any;
        };
        tabindex: NumberConstructor;
        size: PropType<import("../config-provider").SizeType>;
        open: {
            type: BooleanConstructor;
            default: any;
        };
        id: StringConstructor;
        autofocus: BooleanConstructor;
        direction: {
            type: PropType<"ltr" | "rtl">;
        };
        animation: StringConstructor;
        mode: PropType<"multiple" | "tags" | "SECRET_COMBOBOX_MODE_DO_NOT_USE">;
        getPopupContainer: {
            type: PropType<import("../vc-select/BaseSelect").RenderDOMFunc>;
        };
        virtual: {
            type: BooleanConstructor;
            default: any;
        };
        dropdownMatchSelectWidth: {
            type: PropType<number | boolean>;
            default: any;
        };
        children: PropType<import("../_util/type").VueNode[]>;
        'onUpdate:value': PropType<(val: import("../select").SelectValue) => void>;
        transitionName: StringConstructor;
        showAction: {
            type: PropType<("focus" | "click")[]>;
        };
        placement: {
            type: PropType<import("../vc-select/BaseSelect").Placement>;
        };
        placeholder: import("vue-types").VueTypeValidableDef<any>;
        onDeselect: PropType<import("../vc-select/Select").SelectHandler<(string | number) | import("../select").LabeledValue, import("../select").DefaultOptionType>>;
        loading: {
            type: BooleanConstructor;
            default: any;
        };
        allowClear: {
            type: BooleanConstructor;
            default: any;
        };
        bordered: {
            type: BooleanConstructor;
            default: boolean;
        };
        onSearch: PropType<(value: string) => void>;
        notFoundContent: import("vue-types").VueTypeValidableDef<any>;
        fieldNames: PropType<import("../vc-select/Select").FieldNames>;
        dropdownStyle: {
            type: PropType<import("vue").CSSProperties>;
        };
        dropdownClassName: StringConstructor;
        dropdownRender: {
            type: PropType<import("../vc-select/BaseSelect").DropdownRender>;
        };
        dropdownAlign: PropType<import("../vc-trigger/interface").AlignType>;
        showSearch: {
            type: BooleanConstructor;
            default: any;
        };
        searchValue: StringConstructor;
        onInputKeyDown: PropType<(e: KeyboardEvent) => void>;
        removeIcon: import("vue-types").VueTypeValidableDef<any>;
        maxTagCount: {
            type: PropType<number | "responsive">;
        };
        maxTagTextLength: NumberConstructor;
        maxTagPlaceholder: import("vue-types").VueTypeValidableDef<any>;
        tokenSeparators: {
            type: PropType<string[]>;
        };
        tagRender: {
            type: PropType<(props: import("../vc-select/BaseSelect").CustomTagProps) => any>;
        };
        choiceTransitionName: {
            type: StringConstructor;
            default: string;
        };
        optionLabelRender: {
            type: PropType<(option: Record<string, any>) => any>;
        };
        onClear: PropType<() => void>;
        defaultOpen: {
            type: BooleanConstructor;
            default: any;
        };
        onDropdownVisibleChange: {
            type: PropType<(open: boolean) => void>;
        };
        showArrow: {
            type: BooleanConstructor;
            default: any;
        };
        clearIcon: import("vue-types").VueTypeValidableDef<any>;
        searchDropdownAutoClose: {
            type: BooleanConstructor;
            default: boolean;
        };
        onPopupScroll: PropType<(e: UIEvent) => void>;
        menuItemSelectedIcon: import("vue-types").VueTypeValidableDef<any>;
        listHeight: NumberConstructor;
        listItemHeight: NumberConstructor;
        inputValue: StringConstructor;
        autoClearSearchValue: {
            type: BooleanConstructor;
            default: any;
        };
        filterOption: {
            type: PropType<boolean | import("../vc-select/Select").FilterFunc<import("../select").DefaultOptionType>>;
            default: any;
        };
        filterSort: PropType<(optionA: import("../select").DefaultOptionType, optionB: import("../select").DefaultOptionType) => number>;
        optionFilterProp: StringConstructor;
        optionLabelProp: StringConstructor;
        defaultActiveFirstOption: {
            type: BooleanConstructor;
            default: any;
        };
        labelInValue: {
            type: BooleanConstructor;
            default: any;
        };
        suffixIcon: import("vue-types").VueTypeValidableDef<any>;
        itemIcon: import("vue-types").VueTypeValidableDef<any>;
        multiple: {
            type: BooleanConstructor;
            default: any;
        };
        switcherIcon: import("vue-types").VueTypeValidableDef<any>;
        loadData: {
            type: PropType<(dataNode: import("../vc-tree-select/TreeSelect").LegacyDataNode) => Promise<unknown>>;
        };
        filterTreeNode: {
            type: PropType<boolean | ((inputValue: string, treeNode: import("../vc-tree-select/TreeSelect").DefaultOptionType) => boolean)>;
            default: any;
        };
        replaceFields: {
            type: PropType<import("../vc-tree-select/interface").FieldNames>;
        };
        treeCheckable: {
            type: BooleanConstructor;
            default: any;
        };
        getRawInputElement: {
            type: PropType<() => any>;
        };
        showCheckedStrategy: {
            type: PropType<import("../vc-tree-select/utils/strategyUtil").CheckedStrategy>;
        };
        treeDefaultExpandAll: {
            type: BooleanConstructor;
            default: any;
        };
        treeIcon: import("vue-types").VueTypeValidableDef<any>;
        treeLine: {
            type: PropType<boolean | {
                showLeafIcon: boolean;
            }>;
            default: any;
        };
        treeLoadedKeys: {
            type: PropType<import("../vc-tree-select/interface").Key[]>;
        };
        onTreeLoad: {
            type: PropType<(loadedKeys: import("../vc-tree-select/interface").Key[]) => void>;
        };
        treeNodeFilterProp: StringConstructor;
        treeNodeLabelProp: StringConstructor;
        treeCheckStrictly: {
            type: BooleanConstructor;
            default: any;
        };
        treeDataSimpleMode: {
            type: PropType<boolean | import("../vc-tree-select/TreeSelect").SimpleModeConfig>;
            default: any;
        };
        treeExpandedKeys: {
            type: PropType<import("../vc-tree-select/interface").Key[]>;
        };
        treeDefaultExpandedKeys: {
            type: PropType<import("../vc-tree-select/interface").Key[]>;
        };
        onTreeExpand: {
            type: PropType<(expandedKeys: import("../vc-tree-select/interface").Key[]) => void>;
        };
        dropdownPopupAlign: import("vue-types").VueTypeValidableDef<any>;
        'onUpdate:treeExpandedKeys': {
            type: PropType<(keys: import("../vc-tree-select/interface").Key[]) => void>;
        };
        'onUpdate:searchValue': {
            type: PropType<(value: string) => void>;
        };
    }>> & import("vue").ShallowUnwrapRef<() => JSX.Element> & {} & import("vue").ComponentCustomProperties & {};
    __isFragment?: never;
    __isTeleport?: never;
    __isSuspense?: never;
} & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
    value: PropType<SelectValue>;
    defaultValue: PropType<SelectValue>;
    code: StringConstructor;
    hisUuid: StringConstructor;
    domain: StringConstructor;
    getOptions: PropType<() => Promise<Config>>;
    surname: BooleanConstructor;
    onFocus: {
        type: PropType<(e: FocusEvent) => void>;
    };
    onBlur: {
        type: PropType<(e: FocusEvent) => void>;
    };
    onChange: PropType<(value: import("../select").SelectValue, option: import("../select").DefaultOptionType | import("../select").DefaultOptionType[]) => void>;
    onKeydown: PropType<(e: KeyboardEvent) => void>;
    onKeyup: PropType<(e: KeyboardEvent) => void>;
    onClick: PropType<(e: MouseEvent) => void>;
    onMousedown: PropType<(e: MouseEvent) => void>;
    onMouseenter: PropType<(e: MouseEvent) => void>;
    onMouseleave: PropType<(e: MouseEvent) => void>;
    onSelect: PropType<import("../vc-select/Select").SelectHandler<(string | number) | import("../select").LabeledValue, import("../select").DefaultOptionType>>;
    prefixCls: StringConstructor;
    disabled: {
        type: BooleanConstructor;
        default: any;
    };
    tabindex: NumberConstructor;
    size: PropType<import("../config-provider").SizeType>;
    open: {
        type: BooleanConstructor;
        default: any;
    };
    id: StringConstructor;
    autofocus: BooleanConstructor;
    direction: {
        type: PropType<"ltr" | "rtl">;
    };
    animation: StringConstructor;
    mode: PropType<"multiple" | "tags" | "SECRET_COMBOBOX_MODE_DO_NOT_USE">;
    getPopupContainer: {
        type: PropType<import("../vc-select/BaseSelect").RenderDOMFunc>;
    };
    virtual: {
        type: BooleanConstructor;
        default: any;
    };
    dropdownMatchSelectWidth: {
        type: PropType<number | boolean>;
        default: any;
    };
    children: PropType<import("../_util/type").VueNode[]>;
    'onUpdate:value': PropType<(val: import("../select").SelectValue) => void>;
    transitionName: StringConstructor;
    showAction: {
        type: PropType<("focus" | "click")[]>;
    };
    placement: {
        type: PropType<import("../vc-select/BaseSelect").Placement>;
    };
    placeholder: import("vue-types").VueTypeValidableDef<any>;
    onDeselect: PropType<import("../vc-select/Select").SelectHandler<(string | number) | import("../select").LabeledValue, import("../select").DefaultOptionType>>;
    loading: {
        type: BooleanConstructor;
        default: any;
    };
    allowClear: {
        type: BooleanConstructor;
        default: any;
    };
    bordered: {
        type: BooleanConstructor;
        default: boolean;
    };
    onSearch: PropType<(value: string) => void>;
    notFoundContent: import("vue-types").VueTypeValidableDef<any>;
    fieldNames: PropType<import("../vc-select/Select").FieldNames>;
    dropdownStyle: {
        type: PropType<import("vue").CSSProperties>;
    };
    dropdownClassName: StringConstructor;
    dropdownRender: {
        type: PropType<import("../vc-select/BaseSelect").DropdownRender>;
    };
    dropdownAlign: PropType<import("../vc-trigger/interface").AlignType>;
    showSearch: {
        type: BooleanConstructor;
        default: any;
    };
    searchValue: StringConstructor;
    onInputKeyDown: PropType<(e: KeyboardEvent) => void>;
    removeIcon: import("vue-types").VueTypeValidableDef<any>;
    maxTagCount: {
        type: PropType<number | "responsive">;
    };
    maxTagTextLength: NumberConstructor;
    maxTagPlaceholder: import("vue-types").VueTypeValidableDef<any>;
    tokenSeparators: {
        type: PropType<string[]>;
    };
    tagRender: {
        type: PropType<(props: import("../vc-select/BaseSelect").CustomTagProps) => any>;
    };
    choiceTransitionName: {
        type: StringConstructor;
        default: string;
    };
    optionLabelRender: {
        type: PropType<(option: Record<string, any>) => any>;
    };
    onClear: PropType<() => void>;
    defaultOpen: {
        type: BooleanConstructor;
        default: any;
    };
    onDropdownVisibleChange: {
        type: PropType<(open: boolean) => void>;
    };
    showArrow: {
        type: BooleanConstructor;
        default: any;
    };
    clearIcon: import("vue-types").VueTypeValidableDef<any>;
    searchDropdownAutoClose: {
        type: BooleanConstructor;
        default: boolean;
    };
    onPopupScroll: PropType<(e: UIEvent) => void>;
    menuItemSelectedIcon: import("vue-types").VueTypeValidableDef<any>;
    listHeight: NumberConstructor;
    listItemHeight: NumberConstructor;
    inputValue: StringConstructor;
    autoClearSearchValue: {
        type: BooleanConstructor;
        default: any;
    };
    filterOption: {
        type: PropType<boolean | import("../vc-select/Select").FilterFunc<import("../select").DefaultOptionType>>;
        default: any;
    };
    filterSort: PropType<(optionA: import("../select").DefaultOptionType, optionB: import("../select").DefaultOptionType) => number>;
    optionFilterProp: StringConstructor;
    optionLabelProp: StringConstructor;
    defaultActiveFirstOption: {
        type: BooleanConstructor;
        default: any;
    };
    labelInValue: {
        type: BooleanConstructor;
        default: any;
    };
    suffixIcon: import("vue-types").VueTypeValidableDef<any>;
    itemIcon: import("vue-types").VueTypeValidableDef<any>;
    multiple: {
        type: BooleanConstructor;
        default: any;
    };
    switcherIcon: import("vue-types").VueTypeValidableDef<any>;
    loadData: {
        type: PropType<(dataNode: import("../vc-tree-select/TreeSelect").LegacyDataNode) => Promise<unknown>>;
    };
    filterTreeNode: {
        type: PropType<boolean | ((inputValue: string, treeNode: import("../vc-tree-select/TreeSelect").DefaultOptionType) => boolean)>;
        default: any;
    };
    replaceFields: {
        type: PropType<import("../vc-tree-select/interface").FieldNames>;
    };
    treeCheckable: {
        type: BooleanConstructor;
        default: any;
    };
    getRawInputElement: {
        type: PropType<() => any>;
    };
    showCheckedStrategy: {
        type: PropType<import("../vc-tree-select/utils/strategyUtil").CheckedStrategy>;
    };
    treeDefaultExpandAll: {
        type: BooleanConstructor;
        default: any;
    };
    treeIcon: import("vue-types").VueTypeValidableDef<any>;
    treeLine: {
        type: PropType<boolean | {
            showLeafIcon: boolean;
        }>;
        default: any;
    };
    treeLoadedKeys: {
        type: PropType<import("../vc-tree-select/interface").Key[]>;
    };
    onTreeLoad: {
        type: PropType<(loadedKeys: import("../vc-tree-select/interface").Key[]) => void>;
    };
    treeNodeFilterProp: StringConstructor;
    treeNodeLabelProp: StringConstructor;
    treeCheckStrictly: {
        type: BooleanConstructor;
        default: any;
    };
    treeDataSimpleMode: {
        type: PropType<boolean | import("../vc-tree-select/TreeSelect").SimpleModeConfig>;
        default: any;
    };
    treeExpandedKeys: {
        type: PropType<import("../vc-tree-select/interface").Key[]>;
    };
    treeDefaultExpandedKeys: {
        type: PropType<import("../vc-tree-select/interface").Key[]>;
    };
    onTreeExpand: {
        type: PropType<(expandedKeys: import("../vc-tree-select/interface").Key[]) => void>;
    };
    dropdownPopupAlign: import("vue-types").VueTypeValidableDef<any>;
    'onUpdate:treeExpandedKeys': {
        type: PropType<(keys: import("../vc-tree-select/interface").Key[]) => void>;
    };
    'onUpdate:searchValue': {
        type: PropType<(value: string) => void>;
    };
}>>, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, {
    disabled: boolean;
    open: boolean;
    multiple: boolean;
    autofocus: boolean;
    virtual: boolean;
    dropdownMatchSelectWidth: number | boolean;
    loading: boolean;
    allowClear: boolean;
    bordered: boolean;
    filterTreeNode: boolean | ((inputValue: string, treeNode: import("../vc-tree-select/TreeSelect").DefaultOptionType) => boolean);
    treeCheckable: boolean;
    showSearch: boolean;
    choiceTransitionName: string;
    defaultOpen: boolean;
    showArrow: boolean;
    searchDropdownAutoClose: boolean;
    autoClearSearchValue: boolean;
    filterOption: boolean | import("../vc-select/Select").FilterFunc<import("../select").DefaultOptionType>;
    defaultActiveFirstOption: boolean;
    labelInValue: boolean;
    treeDefaultExpandAll: boolean;
    treeLine: boolean | {
        showLeafIcon: boolean;
    };
    treeCheckStrictly: boolean;
    treeDataSimpleMode: any;
    surname: boolean;
}, {}, string> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & import("@vue/runtime-core").Plugin;
export default _default;
